namespace eldbus { namespace model { 
inline ::efl::eolian::return_traits<int>::type Connection::type_get() const
{
   int __return_value =  ::eldbus_model_connection_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Connection::type_set( ::efl::eolian::in_traits<int>::type type) const
{
    ::eldbus_model_connection_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(type));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Connection::address_get() const
{
   const char * __return_value =  ::eldbus_model_connection_address_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Connection::address_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type address) const
{
    ::eldbus_model_connection_address_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(address));
}
inline ::efl::eolian::return_traits<bool>::type Connection::private_get() const
{
   Eina_Bool __return_value =  ::eldbus_model_connection_private_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Connection::private_set( ::efl::eolian::in_traits<bool>::type private_) const
{
    ::eldbus_model_connection_private_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(private_));
}
inline ::efl::eolian::return_traits<void>::type Connection::constructor( ::efl::eolian::in_traits<int>::type type,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type address,  ::efl::eolian::in_traits<bool>::type private_) const
{
    ::eldbus_model_connection_constructor(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(type)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(address)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(private_));
}
} } 
namespace eo_cxx {
namespace eldbus { namespace model { 
inline ::efl::eolian::return_traits<int>::type Connection::type_get() const
{
   int __return_value =  ::eldbus_model_connection_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Connection::type_set( ::efl::eolian::in_traits<int>::type type) const
{
    ::eldbus_model_connection_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(type));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Connection::address_get() const
{
   const char * __return_value =  ::eldbus_model_connection_address_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Connection::address_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type address) const
{
    ::eldbus_model_connection_address_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(address));
}
inline ::efl::eolian::return_traits<bool>::type Connection::private_get() const
{
   Eina_Bool __return_value =  ::eldbus_model_connection_private_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Connection::private_set( ::efl::eolian::in_traits<bool>::type private_) const
{
    ::eldbus_model_connection_private_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(private_));
}
inline ::efl::eolian::return_traits<void>::type Connection::constructor( ::efl::eolian::in_traits<int>::type type,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type address,  ::efl::eolian::in_traits<bool>::type private_) const
{
    ::eldbus_model_connection_constructor(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(type)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(address)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(private_));
}
inline eldbus::model::Connection::operator ::eldbus::model::Connection() const { return *static_cast< ::eldbus::model::Connection const*>(static_cast<void const*>(this)); }
inline eldbus::model::Connection::operator ::eldbus::model::Connection&() { return *static_cast< ::eldbus::model::Connection*>(static_cast<void*>(this)); }
inline eldbus::model::Connection::operator ::eldbus::model::Connection const&() const { return *static_cast< ::eldbus::model::Connection const*>(static_cast<void const*>(this)); }
} } }

